> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Containers

> Get a filtered collection of Entity Containers from an Entity List instance



## OpenAPI

````yaml /openapi/openapi_entities.json get /platform/entitylists/{entityListFullName}/entityContainers
openapi: 3.0.1
info:
  description: |-
    <div id="overview_ENTITIES">
                <h2>ENTITIES</h2>
                <p>Entities are JSON entries within the Kibo database for handling large data sets to heavily filter (>2,000
                    items). Each entity is associated to an EntityList with schema, rules, and formatting for storing the
                    content. This content can be accessed via the API and Hypr tags.</p>
                <p>The <strong>Entity Lists</strong> resource manages all dynamic entities in your Kibo eCommerce document store of the
                    cloud. The content is JSON and can have up to five indexed properties (integer, decimal, string, date,
                    and boolean) with support for additional customized elements as needed. Every document in the entity
                    list has a validated unique ID. A Content property is not supported for Entity List. Instead, the
                    MetaData JSON property should be used to supply content when needed. Otherwise, to populate an Entity
                    List the user should create an entity and then add that resource to the list using the InsertEntity
                    operation.</p>
                <p>The <strong>Entity Containers</strong> resource provides all properties and data for entities within a site/tenant. This
                    data encapsulates all associated IDs including entity lists, entity views, site, tenant, entities, and
                    more.</p>
                <p>The <strong>List Views</strong> resource provides settings and options for displaying associated content within a context
                    level of site, tenant, catalog, or master catalog. ListViews can be associated with entity lists and
                    entities.</p>
            </div>
  title: Entities
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/entitylists/{entityListFullName}/entityContainers:
    get:
      tags:
        - EntityContainers
      summary: Get Entity Containers
      description: >-
        Get a filtered collection of Entity Containers from an Entity List
        instance
      parameters:
        - description: >-
            The full name of the EntityList including namespace in
            name@nameSpace format
          in: path
          name: entityListFullName
          required: true
          schema:
            type: string
        - description: ''
          in: query
          name: pageSize
          schema:
            default: 10
            format: int32
            type: integer
        - description: ''
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: ''
          in: query
          name: filter
          schema:
            type: string
        - description: ''
          in: query
          name: sortBy
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityContainerCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/EntityContainerCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/EntityContainerCollection'
          description: OK
components:
  schemas:
    EntityContainerCollection:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityContainer'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    EntityContainer:
      description: >-
        The metadata and Entity contents for an entity persisted in an
        EntityList in MZDB. The Item property contains the json representation
        of the Entity
      properties:
        catalogId:
          format: int32
          nullable: true
          type: integer
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          type: string
        id:
          description: The unique identifier for the Entity.
          nullable: true
          type: string
        item:
          description: The entity in json format.
          nullable: true
          type: object
        listFullName:
          description: >-
            The nameSpace and name for the EntityList in the format
            name@nameSpace.
          nullable: true
          type: string
        localeCode:
          description: >-
            The localeCode for the Entity. This will only be populated for
            EntityLists that are created with IsLocaleSpecific set to true.
          nullable: true
          type: string
        masterCatalogId:
          format: int32
          nullable: true
          type: integer
        siteId:
          format: int32
          nullable: true
          type: integer
        tenantId:
          format: int32
          type: integer
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          type: string
        userId:
          description: >-
            The userId of the shopper account associated with this Entity. This
            will only be populated for EntityLists that are creaetd with
            IsShopperSpecific set to true.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````